| Wheelchair Control MCU firmware

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Enumerations Groups Pages
Data Fields
t_ISRsSharedStruct Struct Reference
Wheelchair control MCU software.

`#include <Defines.h>`

## Data Fields
volatile uint8_t | UARTRxIndex
volatile uint8_t | Timer0Prescaler
volatile uint8_t | UARTWatchdog
volatile int16_t | BufferOdoL
volatile int16_t | BufferOdoR
volatile int16_t | BufferSpeedL
volatile int16_t | BufferSpeedR
volatile uint8_t | MomSpeedR
volatile uint8_t | MomSpeedL
volatile uint8_t | EnableSpRegR
volatile uint8_t | EnableSpRegL
volatile uint8_t | EnableWallFollowing
volatile int16_t | ActualRPML
volatile int16_t | ActualRPMR
volatile int16_t | RegIntegratorR
volatile int16_t | RegIntegratorL
volatile uint8_t | SRF08_DistanceFront
volatile uint8_t | SRF08_DistanceRear
volatile uint8_t | y0_des
volatile uint8_t | V_des
volatile int16_t | Ky
volatile int16_t | Kfi
volatile int16_t | X
volatile int16_t | Y
volatile int16_t | Phi
volatile uint8_t | EnablePositionRegulator
volatile int16_t | Xdes
volatile int16_t | Ydes
volatile int16_t | TotalImpulsesR
volatile int16_t | TotalImpulsesL
volatile int16_t | RegulateAngleOnly

## Detailed Description

ISRs shared variables structure

Definition at line 220 of file Defines.h.

## Field Documentation

volatile int16_t ActualRPML

Actual RPM of left wheel (impulses per 50 ms).

Definition at line 229 of file Defines.h.

volatile int16_t ActualRPMR

Actual RPM of right wheel (impulses per 50 ms).

Definition at line 229 of file Defines.h.

volatile int16_t BufferOdoL

Counts impulses from left wheel speed sensor for calculation of odometry.

Definition at line 224 of file Defines.h.

volatile int16_t BufferOdoR

Counts impulses from right wheel speed sensor for calculation of odometry.

Definition at line 224 of file Defines.h.

volatile int16_t BufferSpeedL

Counts impulses from left wheel speed sensor for calculation of current wheel speed.

Definition at line 225 of file Defines.h.

volatile int16_t BufferSpeedR

Counts impulses from right wheel speed sensor for calculation of current wheel speed.

Definition at line 225 of file Defines.h.

volatile uint8_t EnablePositionRegulator

Determines whether position regulator is enabled.

Definition at line 235 of file Defines.h.

volatile uint8_t EnableSpRegL

Determines whether speed regulator of the motor is enabled.

Definition at line 227 of file Defines.h.

volatile uint8_t EnableSpRegR

Determines whether speed regulator of the motor is enabled.

Definition at line 227 of file Defines.h.

volatile uint8_t EnableWallFollowing

Determines whether wall-following is enabled.

Definition at line 228 of file Defines.h.

volatile int16_t Kfi

angular speed loop gain.

Definition at line 233 of file Defines.h.

volatile int16_t Ky

Position loop gain.

Definition at line 233 of file Defines.h.

volatile uint8_t MomSpeedL

Desired momentum (speed) of the motor.

Definition at line 226 of file Defines.h.

volatile uint8_t MomSpeedR

Desired momentum (speed) of the motor.

Definition at line 226 of file Defines.h.

volatile int16_t Phi

Odometry Phi [mRad].

Definition at line 234 of file Defines.h.

volatile int16_t RegIntegratorL

Left integrator value.

Definition at line 230 of file Defines.h.

volatile int16_t RegIntegratorR

Right integrator value.

Definition at line 230 of file Defines.h.

volatile int16_t RegulateAngleOnly

If != 0, position regulator regulates only angle specified by this variable's value.

Definition at line 238 of file Defines.h.

volatile uint8_t SRF08_DistanceFront

Distance measured by front SRF08 sensor.

Definition at line 231 of file Defines.h.

volatile uint8_t SRF08_DistanceRear

Distance measured by rear SRF08 sensor.

Definition at line 231 of file Defines.h.

volatile uint8_t Timer0Prescaler

Software prescaler for TIMER0.

Definition at line 222 of file Defines.h.

volatile int16_t TotalImpulsesL

Total number of impulses captured by left encoder.

Definition at line 237 of file Defines.h.

volatile int16_t TotalImpulsesR

Total number of impulses captured by right encoder.

Definition at line 237 of file Defines.h.

volatile uint8_t UARTRxIndex

Index in UARTReceivedData[] array.

Definition at line 222 of file Defines.h.

volatile uint8_t UARTWatchdog

UART watchdog counter.

Definition at line 223 of file Defines.h.

volatile uint8_t V_des

Desired speed (cm/s).

Definition at line 232 of file Defines.h.

volatile int16_t X

Odometry X [mm].

Definition at line 234 of file Defines.h.

volatile int16_t Xdes

Desired X coordinate for the position regulator [mm].

Definition at line 236 of file Defines.h.

volatile int16_t Y

Odometry Y [mm].

Definition at line 234 of file Defines.h.

volatile uint8_t y0_des

Desired value of y0 (distance from the tracked wall).

Definition at line 232 of file Defines.h.

volatile int16_t Ydes

Desired Y coordinate for the position regulator [mm].

Definition at line 236 of file Defines.h.

The documentation for this struct was generated from the following file:

- C:/Users/Ondra/Desktop/Wheelchair Control MCU/Defines.h